Download it now!
Bug 94281 - mis-use of legacy GL contexts ...
Summary: mis-use of legacy GL contexts ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-09-16 15:40 UTC by Michael Meeks
Modified: 2016-10-25 19:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-09-16 15:40:08 UTC
Since tdf#94252 was fixed - we have lots of virtual-devices re-using the legacy GL contexts that use exotic 3D projection matricees etc. and making a total mess of themselves.

Net effect - can't see any 3D transitions at all =)
Comment 1 Commit Notification 2015-09-16 15:53:00 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86fc660353e0cb73bee911f432f2f0b18de82363

tdf#94281 - don't mix legacy and VCL OpenGLContext's.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-09-16 15:59:51 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=464f49e0b88e13c132bcf9cfe250239a1e1b0f8d&h=libreoffice-5-0

tdf#94281 - don't mix legacy and VCL OpenGLContext's.

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-09-16 17:49:58 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4ae433fdda76dc4268de7499e1312e1737b0b64&h=libreoffice-5-0-2

tdf#94281 - don't mix legacy and VCL OpenGLContext's.

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Meeks 2015-09-17 08:45:48 UTC
I guess we'll need to have a means to tag VCL's contexts (which can be promiscuously re-used and things assumed about them) to avoid mingling as/when we stop asking for legacy contexts in the other areas of the code.

Anyhow - this fixes things around 3D transitions nicely; FYI.